Summary:         A small text editor
Name:            nano
Version:         2.0.9
Release:         7%{?dist}
License:         GPLv3+
Group:           Applications/Editors
URL:             http://www.nano-editor.org
Source:          http://www.nano-editor.org/dist/v2.0/%{name}-%{version}.tar.gz
Source2:         nanorc
Patch1:          nano-2.0.9-warnings.patch
Patch2:          nano-2.0.9-bz582434.patch
Patch3:          nano-2.0.9-bz582434-inc.patch
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:   autoconf
BuildRequires:   gettext-devel
BuildRequires:   groff
BuildRequires:   ncurses-devel
BuildRequires:   sed
Requires(post):  /sbin/install-info
Requires(preun): /sbin/install-info

%description
GNU nano is a small and friendly text editor.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
for f in doc/man/fr/{nano.1,nanorc.5,rnano.1} ; do
  iconv -f iso-8859-1 -t utf-8 -o $f.tmp $f && mv $f.tmp $f
  touch $f.html
done

%build
%configure --enable-all --bindir=/bin
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR="%{buildroot}" install bindir=/bin
#ln -s nano %{buildroot}%{_bindir}/pico
rm -f %{buildroot}%{_infodir}/dir
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
ln -s ../../bin/nano ${RPM_BUILD_ROOT}%{_bindir}/nano
ln -s ../../bin/rnano ${RPM_BUILD_ROOT}%{_bindir}/rnano
cp %{SOURCE2} ./nanorc

# disable line wrapping by default
sed 's/# set nowrap/set nowrap/' doc/nanorc.sample >> ./nanorc
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -m 644 ./nanorc $RPM_BUILD_ROOT%{_sysconfdir}/nanorc

%find_lang %{name}

%post
if [ -f %{_infodir}/%{name}.info.gz ]; then
  /sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir
fi
exit 0

%preun
if [ $1 -eq 0 ]; then
  if [ -f %{_infodir}/%{name}.info.gz ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir
  fi
fi
exit 0

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%doc doc/nanorc.sample
%doc doc/faq.html
/bin/*
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/nanorc
%{_mandir}/man*/*
%lang(fr) %{_mandir}/fr/man*/*
%{_infodir}/nano.info*
%{_datadir}/nano


%changelog

